1# Makefile.in generated by automake 1.11.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6# Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
17
18VPATH = @srcdir@
19pkgdatadir = $(datadir)/@PACKAGE@
20pkgincludedir = $(includedir)/@PACKAGE@
21pkglibdir = $(libdir)/@PACKAGE@
22pkglibexecdir = $(libexecdir)/@PACKAGE@
23am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
24install_sh_DATA = $(install_sh) -c -m 644
25install_sh_PROGRAM = $(install_sh) -c
26install_sh_SCRIPT = $(install_sh) -c
27INSTALL_HEADER = $(INSTALL_DATA)
28transform = $(program_transform_name)
29NORMAL_INSTALL = :
30PRE_INSTALL = :
31POST_INSTALL = :
32NORMAL_UNINSTALL = :
33PRE_UNINSTALL = :
34POST_UNINSTALL = :
35build_triplet = @build@
36host_triplet = @host@
37subdir = .
38DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
39	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
40	$(srcdir)/ripperX.pc.in $(top_srcdir)/configure COPYING \
41	INSTALL TODO
42ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
43am__aclocal_m4_deps = $(top_srcdir)/configure.ac
44am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
45	$(ACLOCAL_M4)
46am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
47 configure.lineno config.status.lineno
48mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
49CONFIG_HEADER = config.h
50CONFIG_CLEAN_FILES = ripperX.pc
51CONFIG_CLEAN_VPATH_FILES =
52SOURCES =
53DIST_SOURCES =
54RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
55	html-recursive info-recursive install-data-recursive \
56	install-dvi-recursive install-exec-recursive \
57	install-html-recursive install-info-recursive \
58	install-pdf-recursive install-ps-recursive install-recursive \
59	installcheck-recursive installdirs-recursive pdf-recursive \
60	ps-recursive uninstall-recursive
61am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
62am__vpath_adj = case $$p in \
63    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
64    *) f=$$p;; \
65  esac;
66am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
67am__install_max = 40
68am__nobase_strip_setup = \
69  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
70am__nobase_strip = \
71  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
72am__nobase_list = $(am__nobase_strip_setup); \
73  for p in $$list; do echo "$$p $$p"; done | \
74  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
75  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
76    if (++n[$$2] == $(am__install_max)) \
77      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
78    END { for (dir in files) print dir, files[dir] }'
79am__base_list = \
80  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
81  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
82man1dir = $(mandir)/man1
83am__installdirs = "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(pkgconfigdir)"
84NROFF = nroff
85MANS = $(man_MANS)
86DATA = $(pkgconfig_DATA)
87RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
88  distclean-recursive maintainer-clean-recursive
89AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
90	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
91	distdir dist dist-all distcheck
92ETAGS = etags
93CTAGS = ctags
94DIST_SUBDIRS = $(SUBDIRS)
95DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
96distdir = $(PACKAGE)-$(VERSION)
97top_distdir = $(distdir)
98am__remove_distdir = \
99  { test ! -d "$(distdir)" \
100    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
101         && rm -fr "$(distdir)"; }; }
102am__relativize = \
103  dir0=`pwd`; \
104  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
105  sed_rest='s,^[^/]*/*,,'; \
106  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
107  sed_butlast='s,/*[^/]*$$,,'; \
108  while test -n "$$dir1"; do \
109    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
110    if test "$$first" != "."; then \
111      if test "$$first" = ".."; then \
112        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
113        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
114      else \
115        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
116        if test "$$first2" = "$$first"; then \
117          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
118        else \
119          dir2="../$$dir2"; \
120        fi; \
121        dir0="$$dir0"/"$$first"; \
122      fi; \
123    fi; \
124    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
125  done; \
126  reldir="$$dir2"
127DIST_ARCHIVES = $(distdir).tar.gz $(distdir).tar.bz2
128GZIP_ENV = --best
129distuninstallcheck_listfiles = find . -type f -print
130distcleancheck_listfiles = find . -type f -print
131ACLOCAL = @ACLOCAL@
132AMTAR = @AMTAR@
133AR = @AR@
134AUTOCONF = @AUTOCONF@
135AUTOHEADER = @AUTOHEADER@
136AUTOMAKE = @AUTOMAKE@
137AWK = @AWK@
138CC = @CC@
139CCDEPMODE = @CCDEPMODE@
140CFLAGS = @CFLAGS@
141CPP = @CPP@
142CPPFLAGS = @CPPFLAGS@
143CYGPATH_W = @CYGPATH_W@
144DEFS = @DEFS@
145DEPDIR = @DEPDIR@
146DSYMUTIL = @DSYMUTIL@
147DUMPBIN = @DUMPBIN@
148ECHO_C = @ECHO_C@
149ECHO_N = @ECHO_N@
150ECHO_T = @ECHO_T@
151EGREP = @EGREP@
152EXEEXT = @EXEEXT@
153EXTRA_VERSION = @EXTRA_VERSION@
154FGREP = @FGREP@
155GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
156GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
157GLIB_CFLAGS = @GLIB_CFLAGS@
158GLIB_LIBS = @GLIB_LIBS@
159GMSGFMT = @GMSGFMT@
160GMSGFMT_015 = @GMSGFMT_015@
161GREP = @GREP@
162GTK_CFLAGS = @GTK_CFLAGS@
163GTK_LIBS = @GTK_LIBS@
164INSTALL = @INSTALL@
165INSTALL_DATA = @INSTALL_DATA@
166INSTALL_PROGRAM = @INSTALL_PROGRAM@
167INSTALL_SCRIPT = @INSTALL_SCRIPT@
168INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
169INTLLIBS = @INTLLIBS@
170INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
171LD = @LD@
172LDFLAGS = @LDFLAGS@
173LIBICONV = @LIBICONV@
174LIBINTL = @LIBINTL@
175LIBOBJS = @LIBOBJS@
176LIBS = @LIBS@
177LIBTOOL = @LIBTOOL@
178LIPO = @LIPO@
179LN_S = @LN_S@
180LTLIBICONV = @LTLIBICONV@
181LTLIBINTL = @LTLIBINTL@
182LTLIBOBJS = @LTLIBOBJS@
183LT_AGE = @LT_AGE@
184LT_CURRENT = @LT_CURRENT@
185LT_RELEASE = @LT_RELEASE@
186LT_REVISION = @LT_REVISION@
187MAINT = @MAINT@
188MAJOR_VERSION = @MAJOR_VERSION@
189MAKEINFO = @MAKEINFO@
190MICRO_VERSION = @MICRO_VERSION@
191MINOR_VERSION = @MINOR_VERSION@
192MKDIR_P = @MKDIR_P@
193MSGFMT = @MSGFMT@
194MSGFMT_015 = @MSGFMT_015@
195MSGMERGE = @MSGMERGE@
196NM = @NM@
197NMEDIT = @NMEDIT@
198OBJDUMP = @OBJDUMP@
199OBJEXT = @OBJEXT@
200OTOOL = @OTOOL@
201OTOOL64 = @OTOOL64@
202PACKAGE = @PACKAGE@
203PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
204PACKAGE_NAME = @PACKAGE_NAME@
205PACKAGE_STRING = @PACKAGE_STRING@
206PACKAGE_TARNAME = @PACKAGE_TARNAME@
207PACKAGE_URL = @PACKAGE_URL@
208PACKAGE_VERSION = @PACKAGE_VERSION@
209PATH_SEPARATOR = @PATH_SEPARATOR@
210PKG_CONFIG = @PKG_CONFIG@
211PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
212PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
213POSUB = @POSUB@
214RANLIB = @RANLIB@
215SED = @SED@
216SET_MAKE = @SET_MAKE@
217SHELL = @SHELL@
218STRIP = @STRIP@
219USE_NLS = @USE_NLS@
220VERSION = @VERSION@
221XGETTEXT = @XGETTEXT@
222XGETTEXT_015 = @XGETTEXT_015@
223XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
224abs_builddir = @abs_builddir@
225abs_srcdir = @abs_srcdir@
226abs_top_builddir = @abs_top_builddir@
227abs_top_srcdir = @abs_top_srcdir@
228ac_ct_CC = @ac_ct_CC@
229ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
230am__include = @am__include@
231am__leading_dot = @am__leading_dot@
232am__quote = @am__quote@
233am__tar = @am__tar@
234am__untar = @am__untar@
235bindir = @bindir@
236build = @build@
237build_alias = @build_alias@
238build_cpu = @build_cpu@
239build_os = @build_os@
240build_vendor = @build_vendor@
241builddir = @builddir@
242datadir = @datadir@
243datarootdir = @datarootdir@
244docdir = @docdir@
245dvidir = @dvidir@
246exec_prefix = @exec_prefix@
247host = @host@
248host_alias = @host_alias@
249host_cpu = @host_cpu@
250host_os = @host_os@
251host_vendor = @host_vendor@
252htmldir = @htmldir@
253includedir = @includedir@
254infodir = @infodir@
255install_sh = @install_sh@
256libdir = @libdir@
257libexecdir = @libexecdir@
258localedir = @localedir@
259localstatedir = @localstatedir@
260lt_ECHO = @lt_ECHO@
261mandir = @mandir@
262mkdir_p = @mkdir_p@
263oldincludedir = @oldincludedir@
264pdfdir = @pdfdir@
265prefix = @prefix@
266program_transform_name = @program_transform_name@
267psdir = @psdir@
268sbindir = @sbindir@
269sharedstatedir = @sharedstatedir@
270srcdir = @srcdir@
271sysconfdir = @sysconfdir@
272target_alias = @target_alias@
273top_build_prefix = @top_build_prefix@
274top_builddir = @top_builddir@
275top_srcdir = @top_srcdir@
276AUTOMAKE_OPTIONS = dist-bzip2
277SUBDIRS = po src config plugins
278man_MANS = \
279     ripperX.1
280
281EXTRA_DIST = \
282	BUGS \
283	CHANGES \
284	FAQ \
285	README.plugin \
286	README.plugin_spec_v0.1 \
287	README.plugin_tester \
288	autogen.sh \
289	ripperX.desktop \
290	ripperX.pc.in \
291	$(man_MANS)
292
293pkgconfigdir = $(prefix)/libdata/pkgconfig
294pkgconfig_DATA = ripperX.pc
295all: config.h
296	$(MAKE) $(AM_MAKEFLAGS) all-recursive
297
298.SUFFIXES:
299am--refresh:
300	@:
301$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
302	@for dep in $?; do \
303	  case '$(am__configure_deps)' in \
304	    *$$dep*) \
305	      echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
306	      $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
307		&& exit 0; \
308	      exit 1;; \
309	  esac; \
310	done; \
311	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
312	$(am__cd) $(top_srcdir) && \
313	  $(AUTOMAKE) --foreign Makefile
314.PRECIOUS: Makefile
315Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
316	@case '$?' in \
317	  *config.status*) \
318	    echo ' $(SHELL) ./config.status'; \
319	    $(SHELL) ./config.status;; \
320	  *) \
321	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
322	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
323	esac;
324
325$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
326	$(SHELL) ./config.status --recheck
327
328$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
329	$(am__cd) $(srcdir) && $(AUTOCONF)
330$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
331	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
332$(am__aclocal_m4_deps):
333
334config.h: stamp-h1
335	@if test ! -f $@; then \
336	  rm -f stamp-h1; \
337	  $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
338	else :; fi
339
340stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
341	@rm -f stamp-h1
342	cd $(top_builddir) && $(SHELL) ./config.status config.h
343$(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
344	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
345	rm -f stamp-h1
346	touch $@
347
348distclean-hdr:
349	-rm -f config.h stamp-h1
350ripperX.pc: $(top_builddir)/config.status $(srcdir)/ripperX.pc.in
351	cd $(top_builddir) && $(SHELL) ./config.status $@
352
353mostlyclean-libtool:
354	-rm -f *.lo
355
356clean-libtool:
357	-rm -rf .libs _libs
358
359distclean-libtool:
360	-rm -f libtool config.lt
361install-man1: $(man_MANS)
362	@$(NORMAL_INSTALL)
363	test -z "$(man1dir)" || $(MKDIR_P) "$(DESTDIR)$(man1dir)"
364	@list=''; test -n "$(man1dir)" || exit 0; \
365	{ for i in $$list; do echo "$$i"; done; \
366	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
367	  sed -n '/\.1[a-z]*$$/p'; \
368	} | while read p; do \
369	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
370	  echo "$$d$$p"; echo "$$p"; \
371	done | \
372	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
373	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
374	sed 'N;N;s,\n, ,g' | { \
375	list=; while read file base inst; do \
376	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
377	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
378	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
379	  fi; \
380	done; \
381	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
382	while read files; do \
383	  test -z "$$files" || { \
384	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
385	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
386	done; }
387
388uninstall-man1:
389	@$(NORMAL_UNINSTALL)
390	@list=''; test -n "$(man1dir)" || exit 0; \
391	files=`{ for i in $$list; do echo "$$i"; done; \
392	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
393	  sed -n '/\.1[a-z]*$$/p'; \
394	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
395	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
396	test -z "$$files" || { \
397	  echo " ( cd '$(DESTDIR)$(man1dir)' && rm -f" $$files ")"; \
398	  cd "$(DESTDIR)$(man1dir)" && rm -f $$files; }
399install-pkgconfigDATA: $(pkgconfig_DATA)
400	@$(NORMAL_INSTALL)
401	test -z "$(pkgconfigdir)" || $(MKDIR_P) "$(DESTDIR)$(pkgconfigdir)"
402	@list='$(pkgconfig_DATA)'; test -n "$(pkgconfigdir)" || list=; \
403	for p in $$list; do \
404	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
405	  echo "$$d$$p"; \
406	done | $(am__base_list) | \
407	while read files; do \
408	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pkgconfigdir)'"; \
409	  $(INSTALL_DATA) $$files "$(DESTDIR)$(pkgconfigdir)" || exit $$?; \
410	done
411
412uninstall-pkgconfigDATA:
413	@$(NORMAL_UNINSTALL)
414	@list='$(pkgconfig_DATA)'; test -n "$(pkgconfigdir)" || list=; \
415	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
416	test -n "$$files" || exit 0; \
417	echo " ( cd '$(DESTDIR)$(pkgconfigdir)' && rm -f" $$files ")"; \
418	cd "$(DESTDIR)$(pkgconfigdir)" && rm -f $$files
419
420# This directory's subdirectories are mostly independent; you can cd
421# into them and run `make' without going through this Makefile.
422# To change the values of `make' variables: instead of editing Makefiles,
423# (1) if the variable is set in `config.status', edit `config.status'
424#     (which will cause the Makefiles to be regenerated when you run `make');
425# (2) otherwise, pass the desired values on the `make' command line.
426$(RECURSIVE_TARGETS):
427	@fail= failcom='exit 1'; \
428	for f in x $$MAKEFLAGS; do \
429	  case $$f in \
430	    *=* | --[!k]*);; \
431	    *k*) failcom='fail=yes';; \
432	  esac; \
433	done; \
434	dot_seen=no; \
435	target=`echo $@ | sed s/-recursive//`; \
436	list='$(SUBDIRS)'; for subdir in $$list; do \
437	  echo "Making $$target in $$subdir"; \
438	  if test "$$subdir" = "."; then \
439	    dot_seen=yes; \
440	    local_target="$$target-am"; \
441	  else \
442	    local_target="$$target"; \
443	  fi; \
444	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
445	  || eval $$failcom; \
446	done; \
447	if test "$$dot_seen" = "no"; then \
448	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
449	fi; test -z "$$fail"
450
451$(RECURSIVE_CLEAN_TARGETS):
452	@fail= failcom='exit 1'; \
453	for f in x $$MAKEFLAGS; do \
454	  case $$f in \
455	    *=* | --[!k]*);; \
456	    *k*) failcom='fail=yes';; \
457	  esac; \
458	done; \
459	dot_seen=no; \
460	case "$@" in \
461	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
462	  *) list='$(SUBDIRS)' ;; \
463	esac; \
464	rev=''; for subdir in $$list; do \
465	  if test "$$subdir" = "."; then :; else \
466	    rev="$$subdir $$rev"; \
467	  fi; \
468	done; \
469	rev="$$rev ."; \
470	target=`echo $@ | sed s/-recursive//`; \
471	for subdir in $$rev; do \
472	  echo "Making $$target in $$subdir"; \
473	  if test "$$subdir" = "."; then \
474	    local_target="$$target-am"; \
475	  else \
476	    local_target="$$target"; \
477	  fi; \
478	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
479	  || eval $$failcom; \
480	done && test -z "$$fail"
481tags-recursive:
482	list='$(SUBDIRS)'; for subdir in $$list; do \
483	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
484	done
485ctags-recursive:
486	list='$(SUBDIRS)'; for subdir in $$list; do \
487	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
488	done
489
490ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
491	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
492	unique=`for i in $$list; do \
493	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
494	  done | \
495	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
496	      END { if (nonempty) { for (i in files) print i; }; }'`; \
497	mkid -fID $$unique
498tags: TAGS
499
500TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
501		$(TAGS_FILES) $(LISP)
502	set x; \
503	here=`pwd`; \
504	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
505	  include_option=--etags-include; \
506	  empty_fix=.; \
507	else \
508	  include_option=--include; \
509	  empty_fix=; \
510	fi; \
511	list='$(SUBDIRS)'; for subdir in $$list; do \
512	  if test "$$subdir" = .; then :; else \
513	    test ! -f $$subdir/TAGS || \
514	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
515	  fi; \
516	done; \
517	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
518	unique=`for i in $$list; do \
519	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
520	  done | \
521	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
522	      END { if (nonempty) { for (i in files) print i; }; }'`; \
523	shift; \
524	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
525	  test -n "$$unique" || unique=$$empty_fix; \
526	  if test $$# -gt 0; then \
527	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
528	      "$$@" $$unique; \
529	  else \
530	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
531	      $$unique; \
532	  fi; \
533	fi
534ctags: CTAGS
535CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
536		$(TAGS_FILES) $(LISP)
537	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
538	unique=`for i in $$list; do \
539	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
540	  done | \
541	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
542	      END { if (nonempty) { for (i in files) print i; }; }'`; \
543	test -z "$(CTAGS_ARGS)$$unique" \
544	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
545	     $$unique
546
547GTAGS:
548	here=`$(am__cd) $(top_builddir) && pwd` \
549	  && $(am__cd) $(top_srcdir) \
550	  && gtags -i $(GTAGS_ARGS) "$$here"
551
552distclean-tags:
553	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
554
555distdir: $(DISTFILES)
556	@list='$(MANS)'; if test -n "$$list"; then \
557	  list=`for p in $$list; do \
558	    if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
559	    if test -f "$$d$$p"; then echo "$$d$$p"; else :; fi; done`; \
560	  if test -n "$$list" && \
561	    grep 'ab help2man is required to generate this page' $$list >/dev/null; then \
562	    echo "error: found man pages containing the \`missing help2man' replacement text:" >&2; \
563	    grep -l 'ab help2man is required to generate this page' $$list | sed 's/^/         /' >&2; \
564	    echo "       to fix them, install help2man, remove and regenerate the man pages;" >&2; \
565	    echo "       typically \`make maintainer-clean' will remove them" >&2; \
566	    exit 1; \
567	  else :; fi; \
568	else :; fi
569	$(am__remove_distdir)
570	test -d "$(distdir)" || mkdir "$(distdir)"
571	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
572	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
573	list='$(DISTFILES)'; \
574	  dist_files=`for file in $$list; do echo $$file; done | \
575	  sed -e "s|^$$srcdirstrip/||;t" \
576	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
577	case $$dist_files in \
578	  */*) $(MKDIR_P) `echo "$$dist_files" | \
579			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
580			   sort -u` ;; \
581	esac; \
582	for file in $$dist_files; do \
583	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
584	  if test -d $$d/$$file; then \
585	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
586	    if test -d "$(distdir)/$$file"; then \
587	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
588	    fi; \
589	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
590	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
591	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
592	    fi; \
593	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
594	  else \
595	    test -f "$(distdir)/$$file" \
596	    || cp -p $$d/$$file "$(distdir)/$$file" \
597	    || exit 1; \
598	  fi; \
599	done
600	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
601	  if test "$$subdir" = .; then :; else \
602	    test -d "$(distdir)/$$subdir" \
603	    || $(MKDIR_P) "$(distdir)/$$subdir" \
604	    || exit 1; \
605	  fi; \
606	done
607	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
608	  if test "$$subdir" = .; then :; else \
609	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
610	    $(am__relativize); \
611	    new_distdir=$$reldir; \
612	    dir1=$$subdir; dir2="$(top_distdir)"; \
613	    $(am__relativize); \
614	    new_top_distdir=$$reldir; \
615	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
616	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
617	    ($(am__cd) $$subdir && \
618	      $(MAKE) $(AM_MAKEFLAGS) \
619	        top_distdir="$$new_top_distdir" \
620	        distdir="$$new_distdir" \
621		am__remove_distdir=: \
622		am__skip_length_check=: \
623		am__skip_mode_fix=: \
624	        distdir) \
625	      || exit 1; \
626	  fi; \
627	done
628	-test -n "$(am__skip_mode_fix)" \
629	|| find "$(distdir)" -type d ! -perm -755 \
630		-exec chmod u+rwx,go+rx {} \; -o \
631	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
632	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
633	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
634	|| chmod -R a+r "$(distdir)"
635dist-gzip: distdir
636	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
637	$(am__remove_distdir)
638dist-bzip2: distdir
639	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
640	$(am__remove_distdir)
641
642dist-lzma: distdir
643	tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
644	$(am__remove_distdir)
645
646dist-xz: distdir
647	tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
648	$(am__remove_distdir)
649
650dist-tarZ: distdir
651	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
652	$(am__remove_distdir)
653
654dist-shar: distdir
655	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
656	$(am__remove_distdir)
657
658dist-zip: distdir
659	-rm -f $(distdir).zip
660	zip -rq $(distdir).zip $(distdir)
661	$(am__remove_distdir)
662
663dist dist-all: distdir
664	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
665	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
666	$(am__remove_distdir)
667
668# This target untars the dist file and tries a VPATH configuration.  Then
669# it guarantees that the distribution is self-contained by making another
670# tarfile.
671distcheck: dist
672	case '$(DIST_ARCHIVES)' in \
673	*.tar.gz*) \
674	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
675	*.tar.bz2*) \
676	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
677	*.tar.lzma*) \
678	  lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
679	*.tar.xz*) \
680	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
681	*.tar.Z*) \
682	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
683	*.shar.gz*) \
684	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
685	*.zip*) \
686	  unzip $(distdir).zip ;;\
687	esac
688	chmod -R a-w $(distdir); chmod a+w $(distdir)
689	mkdir $(distdir)/_build
690	mkdir $(distdir)/_inst
691	chmod a-w $(distdir)
692	test -d $(distdir)/_build || exit 0; \
693	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
694	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
695	  && am__cwd=`pwd` \
696	  && $(am__cd) $(distdir)/_build \
697	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
698	    $(DISTCHECK_CONFIGURE_FLAGS) \
699	  && $(MAKE) $(AM_MAKEFLAGS) \
700	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
701	  && $(MAKE) $(AM_MAKEFLAGS) check \
702	  && $(MAKE) $(AM_MAKEFLAGS) install \
703	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
704	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
705	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
706	        distuninstallcheck \
707	  && chmod -R a-w "$$dc_install_base" \
708	  && ({ \
709	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
710	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
711	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
712	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
713	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
714	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
715	  && rm -rf "$$dc_destdir" \
716	  && $(MAKE) $(AM_MAKEFLAGS) dist \
717	  && rm -rf $(DIST_ARCHIVES) \
718	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
719	  && cd "$$am__cwd" \
720	  || exit 1
721	$(am__remove_distdir)
722	@(echo "$(distdir) archives ready for distribution: "; \
723	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
724	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
725distuninstallcheck:
726	@$(am__cd) '$(distuninstallcheck_dir)' \
727	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
728	   || { echo "ERROR: files left after uninstall:" ; \
729	        if test -n "$(DESTDIR)"; then \
730	          echo "  (check DESTDIR support)"; \
731	        fi ; \
732	        $(distuninstallcheck_listfiles) ; \
733	        exit 1; } >&2
734distcleancheck: distclean
735	@if test '$(srcdir)' = . ; then \
736	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
737	  exit 1 ; \
738	fi
739	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
740	  || { echo "ERROR: files left in build directory after distclean:" ; \
741	       $(distcleancheck_listfiles) ; \
742	       exit 1; } >&2
743check-am: all-am
744check: check-recursive
745all-am: Makefile $(MANS) $(DATA) config.h
746installdirs: installdirs-recursive
747installdirs-am:
748	for dir in "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(pkgconfigdir)"; do \
749	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
750	done
751install: install-recursive
752install-exec: install-exec-recursive
753install-data: install-data-recursive
754uninstall: uninstall-recursive
755
756install-am: all-am
757	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
758
759installcheck: installcheck-recursive
760install-strip:
761	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
762	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
763	  `test -z '$(STRIP)' || \
764	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
765mostlyclean-generic:
766
767clean-generic:
768
769distclean-generic:
770	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
771	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
772
773maintainer-clean-generic:
774	@echo "This command is intended for maintainers to use"
775	@echo "it deletes files that may require special tools to rebuild."
776clean: clean-recursive
777
778clean-am: clean-generic clean-libtool mostlyclean-am
779
780distclean: distclean-recursive
781	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
782	-rm -f Makefile
783distclean-am: clean-am distclean-generic distclean-hdr \
784	distclean-libtool distclean-tags
785
786dvi: dvi-recursive
787
788dvi-am:
789
790html: html-recursive
791
792html-am:
793
794info: info-recursive
795
796info-am:
797
798install-data-am: install-man install-pkgconfigDATA
799
800install-dvi: install-dvi-recursive
801
802install-dvi-am:
803
804install-exec-am:
805
806install-html: install-html-recursive
807
808install-html-am:
809
810install-info: install-info-recursive
811
812install-info-am:
813
814install-man: install-man1
815
816install-pdf: install-pdf-recursive
817
818install-pdf-am:
819
820install-ps: install-ps-recursive
821
822install-ps-am:
823
824installcheck-am:
825
826maintainer-clean: maintainer-clean-recursive
827	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
828	-rm -rf $(top_srcdir)/autom4te.cache
829	-rm -f Makefile
830maintainer-clean-am: distclean-am maintainer-clean-generic
831
832mostlyclean: mostlyclean-recursive
833
834mostlyclean-am: mostlyclean-generic mostlyclean-libtool
835
836pdf: pdf-recursive
837
838pdf-am:
839
840ps: ps-recursive
841
842ps-am:
843
844uninstall-am: uninstall-man uninstall-pkgconfigDATA
845
846uninstall-man: uninstall-man1
847
848.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all \
849	ctags-recursive install-am install-strip tags-recursive
850
851.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
852	all all-am am--refresh check check-am clean clean-generic \
853	clean-libtool ctags ctags-recursive dist dist-all dist-bzip2 \
854	dist-gzip dist-lzma dist-shar dist-tarZ dist-xz dist-zip \
855	distcheck distclean distclean-generic distclean-hdr \
856	distclean-libtool distclean-tags distcleancheck distdir \
857	distuninstallcheck dvi dvi-am html html-am info info-am \
858	install install-am install-data install-data-am install-dvi \
859	install-dvi-am install-exec install-exec-am install-html \
860	install-html-am install-info install-info-am install-man \
861	install-man1 install-pdf install-pdf-am install-pkgconfigDATA \
862	install-ps install-ps-am install-strip installcheck \
863	installcheck-am installdirs installdirs-am maintainer-clean \
864	maintainer-clean-generic mostlyclean mostlyclean-generic \
865	mostlyclean-libtool pdf pdf-am ps ps-am tags tags-recursive \
866	uninstall uninstall-am uninstall-man uninstall-man1 \
867	uninstall-pkgconfigDATA
868
869
870# Tell versions [3.59,3.63) of GNU make to not export all variables.
871# Otherwise a system limit (for SysV at least) may be exceeded.
872.NOEXPORT:
873